Bug 1445603 - Windows 2016 guest will crash after hot plug one vcpu [NEEDINFO]
Summary: Windows 2016 guest will crash after hot plug one vcpu
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: qemu-kvm
Version: 8.0
Hardware: x86_64
OS: Windows
high
high
Target Milestone: rc
: 8.0
Assignee: ybendito
QA Contact: Yumei Huang
URL:
Whiteboard:
Depends On: 1377155
Blocks: 1558351 1649160 1473046 1746622
TreeView+ depends on / blocked
 
Reported: 2017-04-26 06:04 UTC by Guo, Zhiyi
Modified: 2020-12-01 07:28 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-01 07:28:38 UTC
Type: Bug
Target Upstream Version:
ailan: needinfo? (ybendito)
yuhuang: needinfo? (ybendito)


Attachments (Terms of Use)

Description Guo, Zhiyi 2017-04-26 06:04:20 UTC
Description of problem:
Boot windows 2016 guest with 2GB or less memory, guest will crash after hot plug one vcpu

Version-Release number of selected component (if applicable):
qemu-kvm-rhev-2.9.0-1.el7.x86_64
3.10.0-655.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Boot windows 2016 guest with cli:
/usr/libexec/qemu-kvm -name win2016 -m 2G -machine pc,accel=kvm\
	-S \
        -cpu qemu64,enforce \
        -smp 1,maxcpus=4 \
        -vnc :0 \
        -monitor stdio \
        -device VGA \
        -serial unix:/tmp/console,server,nowait \
        -drive file=/home/test1.qcow2,if=none,id=drive-scsi-disk0,format=qcow2,cache=none,werror=stop,rerror=stop  -device ide-drive,drive=drive-scsi-disk0 \
	-netdev tap,id=idinWyYp,vhost=on -device e1000,mac=42:ce:a9:d2:4d:d7,id=idlbq7eA,netdev=idinWyYp \
	-qmp tcp:0:4444,server,nowait \

2.After guest boot, hot plug one vcpu through qmp:
{ "execute": "qmp_capabilities" }
{ "execute": "device_add","arguments":{"driver":"qemu64-x86_64-cpu","core-id": 0, "thread-id":0, "socket-id": 1,"id":"core1"}}
3.Check vcpu number inside guest

Actual results:
Guest will reboot immediately.

Expected results:
No reboot happen after cpu hotplug

Additional info:
No such issue happen if boot guest with 4G or above ram.No such issue happen to windows 10.

Comment 2 Igor Mammedov 2017-04-26 16:22:14 UTC
One probably needs to apply workaround to WS2016 for broken by default CPU hotplug
 https://bugzilla.redhat.com/show_bug.cgi?id=1377155#c17
to trigger the crash, otherwise windows won't even try to online hotplugged cpu.

Comment 4 Igor Mammedov 2017-04-26 16:48:32 UTC
Bug reproduces in both KVM and TCG modes, and according to KVM trace, hotplugged CPU wakes up but then during bring up it goes into triple fault and guest reboots.

Googling also shows that the same regression happens on vmware hosts.

Comment 8 ybendito 2019-06-13 08:53:04 UTC
There is latest (announced June 11) cumulative update for 2016 KB4503267.
It was probably was expected to solve this problem and reboot does not happen upon cpu-add.
But the CPU does not work, PnP operation does not finish and the system stops working correctly.
I've running the qemu as '-smp 2,maxcpus=4,sockets=4,cores=1,threads=1', then add 3rd cpu as 'cpu-add 2'
msinfo32 does not work, taskmgr does not show tasks, shutdown/reboot stucks.
All this happens when memory size set to 2G(2048M)
When it is set to 2080M - cpu is added correctly.
Note that the same thing happens with 'core' server (without desktop experience), which does not declare 2G as minimal amount of memory.
I'm going to open a support ticket at Microsoft.

Comment 9 ybendito 2019-06-13 09:21:52 UTC
Support request 119061321000566

Comment 10 ybendito 2019-07-04 13:17:58 UTC
According to Microsoft feedback: 
"the issue initially reported is in effect by a bug that affect Windows 2016 (it was solved in Windows 2019 in the KB4482887) that needs to be solved as soon as possible. According my notes from the develop team the solution for this bug is planned to be published with the last hotfix KB next month of August"
So, we will put this on hold till August and will check it with next cumulative update of 2016.

Comment 12 Igor Mammedov 2019-07-23 13:13:37 UTC
Reopening it to RHEL8, to keep track on a fix from Microsoft side.

Comment 13 Marina Kalinin 2019-09-06 19:56:07 UTC
Is it even realistic scenario when Windows machine has only 2G of RAM? I see they recommend minimum 512M. But from my experience, usually it takes 4G+ to make things working.

Comment 15 Ademar Reis 2020-02-05 22:43:32 UTC
QEMU has been recently split into sub-components and as a one-time operation to avoid breakage of tools, we are setting the QEMU sub-component of this BZ to "General". Please review and change the sub-component if necessary the next time you review this BZ. Thanks

Comment 18 Yumei Huang 2020-11-19 02:53:48 UTC
The issue still exists on 8.3-av. 
(In reply to ybendito from comment #10)
> According to Microsoft feedback: 
> "the issue initially reported is in effect by a bug that affect Windows 2016
> (it was solved in Windows 2019 in the KB4482887) that needs to be solved as
> soon as possible. According my notes from the develop team the solution for
> this bug is planned to be published with the last hotfix KB next month of
> August"
> So, we will put this on hold till August and will check it with next
> cumulative update of 2016.

Hi Yuri, 

Seems KB4482887 is only provided for windows 10 and 2019 according to [1]. Would you please double check if they will fix windows 2016? Thanks.


[1] https://www.catalog.update.microsoft.com/Search.aspx?q=KB4482887

Comment 19 RHEL Program Management 2020-12-01 07:28:38 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.